/* <![CDATA[ */			
jQuery(function($){	

	$('.sidebar').show().jScrollPane({
		horizontalGutter:5,
		verticalGutter:5,
		'showArrows': false,
	});

	$('.jspDrag').hide();
	$('.jspScrollable').mouseenter(function(){
		$(this).find('.jspDrag').stop(true, true).fadeIn('slow');
	});
	$('.jspScrollable').mouseleave(function(){
		$(this).find('.jspDrag').stop(true, true).fadeOut('slow');
	});

	$(window).resize(function(){
		var prjtwidth=$('.prjtblock').width();	
		$('.projectinnerblock .projecttextblock,.filterable-innergrid .projecttextblock').css('width',prjtwidth);

/*		$(".comment-list").each(function(){
			var comments = $(this).find(".portfoliosidebar");
			var commentc = $(this).find(".portfoliocontent");

			if(comments.height() > commentc.height())
			{
				$(this).css("height",comments.height());
			}
			else
			{
				$(this).css("height",commentc.height());
			}	
		});			
*/		
		if($(window).width() < 980)
		{
			$('.sidebar').css("width","0");
			$('.sidebar').css("display","none");			
		}
		else
		{
			$('.sidebar').css("width","222");
			$('.sidebar').css("display","block");
		}	

		if($(window).width() < 767)
		{		
			$(".blog-post").each(function(){
				var posts = $(this).find(".portfoliosidebar .pblock");
				var postc = $(this).find(".portfoliocontent .post-meta480");
				
				postc.append(posts);
			});
		}
		else
		{
			$(".blog-post").each(function(){
				var posts1 = $(this).find(".portfoliosidebar");
				var postc1 = $(this).find(".portfoliocontent .post-meta480");
				
				posts1.append(postc1);
			});
		}	
				
	});	
	$(window).resize();

var tickerheight=$('.tweetblock .tweet_list li:first').height();		
$('.tweetblock .tweet_list').css('height',tickerheight);		

function tick(){
	$('.tweetblock .tweet_list li:first').animate({'opacity':0}, 200, function () { 
		$(this).appendTo($('.tweetblock .tweet_list')).css('opacity', 1); 
		tickerheight=$('.tweetblock .tweet_list li:first').height();		
		$('.tweetblock .tweet_list').css('height',tickerheight);		
	});
}

setInterval(function(){ tick () }, 5000);		  
				
	$(".btn-navbar").click(function(){
		if( $('.sidebar').css("display") == 'none' ){
			//$(".content").animate({ marginLeft : 222 }, { duration: 1000 });
			$(".sidebar").animate({ width : 222 }, { duration: 1000 });						
			$('.sidebar').css("display","block");	

		}
		else
		{
			//$(".content").animate({ marginLeft : 0 }, { duration: 1000 });						
			$(".sidebar").animate({width : 0 }, 1000 ,
			function(){
				$('.sidebar').css("display","none");
			}	
			);						

		}
	});

	
	$('.prjtblock').each( function() { $(this).hoverdir({
					hoverDelay : 90,
				}); } );

	$('.slider1').flexslider({
			animation: "slide",
			controlNav:false,
			start: function(slider){
			  $('body').removeClass('loading');
			}
	});

	$('.refslider').flexslider({
        animation: "slide",
        controlNav: "thumbnails",
		slideshow: false,   
        start: function(slider){
          $('body').removeClass('loading');
        }
    });	

	/*$('.accordion > .accordion-group:first-child > .accordion-body').addClass("in");*/

	$(".videoblock").fitVids();	

/* portfolio filter */

	function portfolio_quicksand() {	
		
		// Setting Up Our Variables
		var $filter;
		var $container;
		var $containerClone;
		var $filterLink;
		var $filteredItems
		
		// Set Our Filter
		$filter = $('.filter li.active a').attr('class');
			
		// Set Our Filter Link
		$filterLink = $('.filter li a');
			
		// Set Our Container
		$container = $('.filterable-innergrid');
			
		// Clone Our Container
		$containerClone = $container.clone();
			
		// Apply our Quicksand to work on a click function
		// for each for the filter li link elements
		$filterLink.click(function(e) 
		{
			// Remove the active class
			$('.filter li').removeClass('active');
				
			// Split each of the filter elements and override our filter
			$filter = $(this).attr('class').split(' ');
				
			// Apply the 'active' class to the clicked link
			$(this).parent().addClass('active');
				
			// If 'all' is selected, display all elements
			// else output all items referenced to the data-type
			if ($filter == 'all') {
				$filteredItems = $containerClone.find('.item'); 
			}
			else {
				$filteredItems = $containerClone.find('.item[data-type~=' + $filter + ']'); 
			}
				
			// Finally call the Quicksand function
			$container.quicksand($filteredItems, 
			{
				duration: 800,
				easing: 'easeInOutQuad',
				useScaling:false,
				atomic:true,
				retainExisting : false,
				adjustHeight : 'dynamic',
				adjustWidth : 'dynamic',			
			}, function() {
				$('.prjtblock').each( function() { $(this).hoverdir({
								hoverDelay : 90,
				}); });
			});
				
			
		});
	}
		
	portfolio_quicksand();	

/* end portfolio filter */

	$("a[data-rel^='prettyPhoto']").prettyPhoto({deeplinking:false,social_tools:false});

/* contact form */

	$("#sendc").click(function(){
		
		var cname = $("#namec").val() ;
		var cemail = $("#emailc").val();
		var cmesg = $("#messagec").val();
		var csub = $("#subjectc").val();

		var errcount=0;
		if(cname.length < 1)
		{		
			$("#namec").addClass("error");
			errcount = 1;
		}	else
			$("#namec").removeClass("error");
		//email validation
		var emailRegex = new RegExp(/^([\w\.\-]+)@([\w\-]+)((\.(\w){2,3})+)$/i);
		var valid = emailRegex.test(cemail);
		if (!valid) {
			$("#emailc").addClass("error");
			errcount = 1;
		}else
			$("#emailc").removeClass("error");
	  
	  
		if(cmesg.length < 1)
		{
			$("#messagec").addClass("error");  
			errcount = 1;
		}	else
			$("#messagec").removeClass("error");
	  
		if(errcount ==0 )
		{
			$.ajax({	
				type: "POST",
				url: "form.php",
			data: 'message='+cmesg+'&name='+cname+'&email='+cemail+'&subject='+csub,	
			dataType: "html",	
			success: function(msg){

				  $('#namec').val('');
				  $('#emailc').val('');
				  $('#messagec').val('');
				  $('#subjectc').val('');
				  $('#contact-form').append("<p class='sentsucc'>We will contact you shortly.</p>");
				  setTimeout(function(){
					if ($('.sentsucc').length > 0) {
						$('.sentsucc').remove();
					}
				  }, 5000)     
			  }
			});
		
			return false;
		}
		else
		{	  	  
			return false;
		}
	});

/* end contact form */	

/* post comment */

	$("#postcomment").click(function(){
		
		var cname = $("#name").val() ;
		var cemail = $("#email").val();
		var cmesg = $("#message1").val();
		//var csub1 = $("#subject1").val();

		var errcount=0;
		if(cname.length < 1)
		{		
			$("#name").addClass("error");
			errcount = 1;
		}	else
			$("#name").removeClass("error");
		//email validation
		var emailRegex = new RegExp(/^([\w\.\-]+)@([\w\-]+)((\.(\w){2,3})+)$/i);
		var valid = emailRegex.test(cemail);
		if (!valid) {
			$("#email").addClass("error");
			errcount = 1;
		}else
			$("#email").removeClass("error");
	  
	  
		if(cmesg.length < 1)
		{
			$("#message1").addClass("error");  
			errcount = 1;
		}	else
			$("#message1").removeClass("error");
	  
		if(errcount ==0 )
		{
			//form submitted
		
			return false;
		}
		else
		{	  	  
			return false;
		}
	});


/* end post comment*/
	$(".accordion-toggle").click(function(){
				
		$(".accordion-group").each(function(){
			var accheading = $(this).find(".accordion-toggle");
			var acccontent = $(this).find(".accordion-body");
			if(!acccontent.height() == 0)
			{			
			accheading.addClass("collapsed");
			}
			
		});
		
	});	

	$('.twitterfeed').tweet({
		modpath: '/js/twitter/',
		count: 3,
		loading_text: 'Loading Twitter Feed...',
		username: "envato",
	});

	$(".tweetblock").tweet({
		modpath: '/js/twitter/',
		username: "envato",
		count: 20,
		template: "{join}{text}",
		loading_text: 'Loading Twitter Feed...',
	});	
	
	$("html").click(function(){
		$(".sw1").animate({marginLeft : -130 }, 1000 ,
			function(){
				$('.sw1').css("display","none");
			}	
		);		
	});

	$(".sw1").click(function(event){
	   event.stopPropagation();
	});	
	
	$(".sw2").click(function(event){
		if( $('.sw1').css("display") == 'none' ){
			$(".sw1").animate({ marginLeft : 0 }, { duration: 1000 });						
			$('.sw1').css("display","inline-block");	
		}
		else
		{
			$(".sw1").animate({marginLeft : -130 }, 1000 ,
				function(){
					$('.sw1').css("display","none");
				}	
			);						
		}
	   event.stopPropagation();
	});	

	$(".darkbluesw").click(function(){
		$('#skinstyle').remove();		
	});

	$(".bluesw").click(function(){
		$('head').append('<link id="skinstyle" rel="stylesheet" href="/css/blue.css" type="text/css" />');
	});
	
});

/* ]]> */	    